Page MenuHomePhabricator

tests: cancel the timeout timer when cleaning up eio tests
ClosedPublic

Authored by zmike on Jun 26 2018, 3:32 PM.

Details

Summary

this timer could persist and cause cascading failures for subsequent
tests when running in non-forked mode

@fix
Depends on D6445

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 6675
zmike created this revision.Jun 26 2018, 3:32 PM
zmike requested review of this revision.Jun 26 2018, 3:32 PM
ManMower accepted this revision.Jun 27 2018, 10:24 AM
This revision is now accepted and ready to land.Jun 27 2018, 10:24 AM
Closed by commit rEFLa8a55870f927: tests: cancel the timeout timer when cleaning up eio tests (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJun 28 2018, 9:12 AM
This revision was automatically updated to reflect the committed changes.